Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 185)
@@ -806,138 +502,6 @@
         }
         #endregion
 
-        #region 入金情報掲示板データ登録
-        /// <summary>
-        /// 入金情報掲示板データ登録
-        /// </summary>
-        /// <returns></returns>
-        private bool MessageBoardEntry(DepositOrderer depositOder)
-        {
-            IOMessageBoardData mbdDB = new IOMessageBoardData();
-            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
-
-            try
-            {
-                mbdDB.connect();
-                mbdDB.beginTran();
-
-                mbtDB.connect();
-                mbtDB.beginTran();
-
-                List<MessageBoardData> list = new List<MessageBoardData>();
-                MessageBoardData data = new MessageBoardData();
-
-                // キーコードセット
-                data.RecordNumber = mbtDB.SelectMaxMessageBoardTergetKeyCount("", false) + 1;
-                data.BranchNumber = 0;
-                string strWhere = mbdDB.CreatePrimarykeyString(data.RecordNumber, data.BranchNumber);
-
-                // 送信者セット
-                data.FromCode = CommonMotions.LoginUserData.PersonCode;
-                data.FromName = CommonMotions.LoginUserData.PersonName;
-
-                data.MessageTitle = string.Format("入金確認（{0}）", depositOder.OrderersName);
-                data.MessageContent = string.Format("{0}様より入金がありました。\r\n", depositOder.OrderersName);
-                data.MessageContent += "入金内容の確認をよろしくお願いします。";
-
-                // リンク情報
-                data.LinkType = 0;
-                data.LinkMessage = "";
-                data.LinkCode = "";
-
-                // メッセージ色セット
-                data.MessageColor = String.Format("0x{0:X2}{1:X2}{2:X2}", Color.White.R
-                                                                        , Color.White.G
-                                                                        , Color.White.B);
-                data.BackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", Color.Green.R
-                                                                        , Color.Green.G
-                                                                        , Color.Green.B);
-                data.WritingDate = DateTime.Now;
-                data.PersonCode = CommonMotions.LoginUserData.PersonCode;
-                data.ShareFlag = 1;
-
-                list.Add(data);
-                // データ登録
-                if (!mbdDB.InsertAction(list, false))
-                {
-                    MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    mbdDB.rollback();
-                    mbtDB.rollback();
-                    return false;
-                }
-
-                string strMBT = mbtDB.CreatePrimarykeyString(data.RecordNumber, data.BranchNumber);
-                mbtDB.DeleteAction(strMBT, false);
-                // 対象者書込み
-                int icnt = 0;
-
-                List<MessageBoardTerget> terList = new List<MessageBoardTerget>();
-                MessageBoardTerget wrkTer = new MessageBoardTerget();
-
-                // キーコードセット
-                wrkTer.RecordNumber = data.RecordNumber;
-                wrkTer.BranchNumber = data.BranchNumber;
-                wrkTer.SeqNum = ++icnt;
-                wrkTer.ToCode = 99999999;
-                wrkTer.ToName = "全　　員";
-
-                terList.Add(wrkTer);
-
-                // データ登録
-                if (!mbtDB.InsertAction(terList, false))
-                {
-                    mbdDB.rollback();
-                    mbtDB.rollback();
-                    return false;
-                }
-
-                mbdDB.commit();
-                mbtDB.commit();
-
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                mbdDB.close(); 
-                mbdDB = null;
-                mbtDB.close(); 
-                mbtDB = null;
-            }
-        }
-        #endregion
-
-        #region 承認完了フラグの判定
-        /// <summary>
-        /// 承認完了フラグの判定
-        /// </summary>
-        /// <param name="lstApprovals"></param>
-        /// <returns></returns>
-        private bool jadgeApprovalEndFlg(List<DepositApproval> lstApprovals)
-        {
-            bool ret = true;
-
-            foreach (DepositApproval app in lstApprovals)
-            {
-
-                if(( app.ApprovalAuthority == 1 )&&(app.ApprovalDate != string.Empty))
-                {
-                    return true;
-                }
-
-                if (app.ApprovalDate == string.Empty)
-                {
-                    ret = false;
-                }
-            }
-            return ret;
-        }
-        #endregion
-
         #region 登録ボタンクリック時のイベント
         /// <summary>
         /// 登録ボタンクリック時のイベント
@@ -950,9 +514,7 @@
             dgvMaster.CellEnter -= DataGridView_CellEnter;
             dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
 
-            var ioDepositData = new IODepositData();
             var ioDepositDataDetail = new IODepositDataDetail();
-            var ioDepositApprovalInfo = new IODepositApprovalInfo();
             var ioRequestHead = new IORequestHead();
 
             try
@@ -959,54 +521,16 @@
             {
                 ResetTargetDate();
                 if (MessageBox.Show("表示中のデータを登録します。", "登録確認", MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
+                {
                     return;
+                }
 
                 // エラー表示を一旦クリア
                 UnsetErrorDisp();
 
-                if (!isDirty)
-                    return;
-
                 // 入力内容をチェック
-                foreach (var depositOrderer in depositOrderers)
-                {
-                    foreach (var deposit in depositOrderer.VisibleDeposits)
-                    {
-                        // 入金日入力済みで入金金額が入力されていない
-                        if (!string.IsNullOrEmpty(deposit.DepositDate)
-                            && !deposit.DepositAmountCash.HasValue
-                            && !deposit.DepositAmountBill.HasValue)
-                        {
-                            // エラー表示
-                            int trow = GetRowIndexFromDeposit(depositOrderer, deposit);
-                            SetErrorDisp(trow, new List<int>() { (int)DispColumn.DepositAmountCash, (int)DispColumn.DepositAmountBill });
-
-                            MessageBox.Show("入金日が登録されている行に入金金額が入力されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-
-                            return;
-                        }
-                        // 入金金額入力済みで入金日が入力されていない
-                        if (string.IsNullOrEmpty(deposit.DepositDate)
-                            && (deposit.DepositAmountCash.HasValue
-                            || deposit.DepositAmountBill.HasValue))
-                        {
-                            // エラー表示
-                            int trow = GetRowIndexFromDeposit(depositOrderer, deposit);
-                            SetErrorDisp(trow, new List<int>() { (int)DispColumn.DepositDate });
-
-                            MessageBox.Show("入金金額が登録されている行に入金日が入力されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-
-                            return;
-                        }
-                    }
-                }
-
-                ioDepositData.connect();
-                ioDepositData.beginTran();
                 ioDepositDataDetail.connect();
                 ioDepositDataDetail.beginTran();
-                ioDepositApprovalInfo.connect();
-                ioDepositApprovalInfo.beginTran();
                 ioRequestHead.connect();
                 ioRequestHead.beginTran();
 
@@ -1013,90 +537,14 @@
                 // 登録処理
                 foreach (var depositOrderer in depositOrderers)
                 {
-                    // 入金データの登録
-                    foreach (var deposit in depositOrderer.Deposits)
-                    {
-                        // 削除処理
-                        if (deposit.Deleted)
-                        {
-                            var sql = String.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} ",
-                                depositOrderer.OrderersDivision, depositOrderer.OrderersCode, m_Select_TargetDate, deposit.SeqNo);
-                            if (!ioDepositData.DeleteAction(sql))
-                                throw new Exception();
-                            continue;
-                        }
-
-                        var depositData = new DepositData()
-                        {
-                            OrderersDivision = depositOrderer.OrderersDivision,
-                            OrderersCode = depositOrderer.OrderersCode,
-                            TargetDate = m_Select_TargetDate.ToString(),
-                            SeqNo = deposit.SeqNo,
-                            BusinessPeriod = CommonMotions.SystemMasterData.BusinessPeriod,
-                            DepositDate = DateTime.Parse(deposit.DepositDate),
-                            DepositAmount = deposit.DepositAmountCash.GetValueOrDefault(0) + deposit.DepositAmountBill.GetValueOrDefault(0),
-                            DepositAmountCash = deposit.DepositAmountCash.GetValueOrDefault(0),
-                            DepositAmountBill = deposit.DepositAmountBill.GetValueOrDefault(0),
-                        };
-
-                        // 登録処理
-                        if (deposit.Added)
-                        {
-                            if (!ioDepositData.InsertAction(depositData))
-                            {
-                                throw new Exception();
-                            }
-                            else
-                            {
-                                // 総務担当
-                                if (m_UserInfo.m_GeneralAffairsFlg == 1)
-                                {
-                                    MessageBoardEntry(depositOrderer);
-                                }
-                            }
-                        }
-                        // 更新処理
-                        else if (deposit.Editted)
-                        {
-                            var sql = String.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} ",
-                                depositData.OrderersDivision, depositData.OrderersCode, depositData.TargetDate, depositData.SeqNo);
-                            if (!ioDepositData.UpdateAction(sql, depositData))
-                                throw new Exception();
-                        }
-                    }
                     // 入金明細データの登録
                     foreach (var depositDetail in depositOrderer.DepositDetails)
                     {
-                        // 削除処理
-                        if (depositDetail.Deleted)
-                        {
-                            var sql = String.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} and LineCount = {4} ",
-                                depositOrderer.OrderersDivision, depositOrderer.OrderersCode, m_Select_TargetDate, depositDetail.SeqNo, depositDetail.LineCount);
-                            if (!ioDepositDataDetail.DeleteAction(sql))
-                                throw new Exception();
-                            // 入金確認承認データもあわせて削除
-                            if (!ioDepositApprovalInfo.DeleteAction(sql))
-                                throw new Exception();
-                            // 入金明細データを削除した場合は、対応する請求合計データを割当未とする
-                            sql = string.Format(" where RequestNo = {0} ", depositDetail.RequestNo);
-                            var lstRtd = new List<RequestHead>();
-                            if (!ioRequestHead.SelectAction(sql, ref lstRtd))
-                                throw new Exception();
-                            foreach (var rtd in lstRtd)
-                            {
-                                rtd.AssignedFlg = 0;
-                                if (!ioRequestHead.UpdateAction(sql, rtd))
-                                    throw new Exception();
-                            }
-                            continue;
-                        }
                         var depositDataDetail = new DepositDataDetail()
                         {
                             OrderersDivision = depositOrderer.OrderersDivision,
                             OrderersCode = depositOrderer.OrderersCode,
                             TargetDate = m_Select_TargetDate.ToString(),
-                            SeqNo = depositDetail.SeqNo,
-                            LineCount = depositDetail.LineCount,
                             RequestNo = depositDetail.RequestNo,
                             OrderNo = depositDetail.OrderNo,
                             DepositAmount = depositDetail.DepositAmount,
@@ -1104,21 +552,25 @@
                             CnstrPrice = depositDetail.CnstrPrice,
                             Fees = depositDetail.Fees,
                             OtherAdjustments = depositDetail.OtherAdjustments,
-                            CarryAmount = depositDetail.CarryAmount,
-                            ApprovalPersonCode = depositDetail.ApprovalPersonCode,
-                            ApprovalEndFlg = jadgeApprovalEndFlg(depositDetail.DepositApprovals), 
+                            DifferenceAmount = depositDetail.DifferenceAmount,
+                            ConfirmationPersonCode = depositDetail.ConfirmationPersonCode,
+                            ConfirmationEndFlg = depositDetail.ConfirmationEndFlg,
+                            Note = depositDetail.Note
                         };
                         var approvalDate = new DateTime(2000, 1, 1);
-                        if (DateTime.TryParse(depositDetail.ApprovalDate, out approvalDate))
+                        if (DateTime.TryParse(depositDetail.ConfirmationDate, out approvalDate))
                         {
-                            depositDataDetail.ApprovalDate = approvalDate;
+                            depositDataDetail.ConfirmationDate = approvalDate;
                         }
 
                         // 登録処理
-                        if (depositDetail.Added)
-                        {
+                        if (depositDetail.EntryDate == "" && depositDetail.Editted)
+                        {                          
                             if (!ioDepositDataDetail.InsertAction(depositDataDetail))
+                            {
                                 throw new Exception();
+                            }
+
                             // 入金明細データを追加した場合は、対応する請求合計データを割当済みとする
                             var sql = string.Format(" where RequestNo = {0}", depositDataDetail.RequestNo);
                             var lstRtd = new List<RequestHead>();
@@ -1130,88 +582,32 @@
                                 if (!ioRequestHead.UpdateAction(sql, rtd))
                                     throw new Exception();
                             }
-                            // 入金確認承認データの登録
-                            foreach (var approval in depositDetail.DepositApprovals)
-                            {
-                                var da = new DepositApprovalInfo()
-                                {
-                                    OrderersDivision = depositOrderer.OrderersDivision,
-                                    OrderersCode = depositOrderer.OrderersCode,
-                                    TargetDate = m_Select_TargetDate.ToString(),
-                                    SeqNo = depositDetail.SeqNo,
-                                    LineCount = depositDetail.LineCount,
-                                    ApprovalNo = approval.ApprovalNo,
-                                    ApprovalPerson = approval.ApprovalPerson,
-                                    ApprovalPersonName = approval.ApprovalPersonName,
-                                    ApprovalAuthority = approval.ApprovalAuthority,
-                                };
-                                DateTime ad = new DateTime(2000, 1, 1);
-                                if (DateTime.TryParse(approval.ApprovalDate, out ad))
-                                { 
-                                    da.ApprovalDate = ad;
-                                }
-                                if (!ioDepositApprovalInfo.InsertAction(da))
-                                    throw new Exception();
-                            }
                         }
                         // 更新処理
                         else
                         {
-                            // 入金確認承認データの更新
-                            foreach (var approval in depositDetail.DepositApprovals)
-                            {
-                                if (approval.Editted)
-                                {
-                                    // 承認に変更があるケースは強制的に明細も更新
-                                    depositDetail.Editted = true;
-
-                                    var da = new DepositApprovalInfo()
-                                    {
-                                        OrderersDivision = depositOrderer.OrderersDivision,
-                                        OrderersCode = depositOrderer.OrderersCode,
-                                        TargetDate = m_Select_TargetDate.ToString(),
-                                        SeqNo = depositDetail.SeqNo,
-                                        LineCount = depositDetail.LineCount,
-                                        ApprovalNo = approval.ApprovalNo,
-                                        ApprovalPerson = approval.ApprovalPerson,
-                                        ApprovalPersonName = approval.ApprovalPersonName,
-                                        ApprovalAuthority = approval.ApprovalAuthority,
-                                    };
-                                    DateTime ad = new DateTime(2000, 1, 1);
-                                    if (DateTime.TryParse(approval.ApprovalDate, out ad))
-                                    {
-                                        da.ApprovalDate = ad;
-                                    }
-                                    var sql = string.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} and LineCount = {4} and ApprovalNo = {5}",
-                                        da.OrderersDivision, da.OrderersCode, da.TargetDate, da.SeqNo, da.LineCount, da.ApprovalNo);
-                                    if (!ioDepositApprovalInfo.UpdateAction(sql, da))
-                                        throw new Exception();
-                                }
-                            }
-
                             if (depositDetail.Editted)
                             {
                                 if (!ioDepositDataDetail.UpdateAction("", depositDataDetail))
+                                {
                                     throw new Exception();
+                                }
                             }
 
                         }
                     }
                 }
-                
-                ioDepositData.commit();
+
                 ioDepositDataDetail.commit();
-                ioDepositApprovalInfo.commit();
                 ioRequestHead.commit();
 
+                CommonMotions.EntryEndMessage("入金確認");
                 // グリッド表示
                 DisplayData();
             }
             catch (Exception ex)
             {
-                ioDepositData.rollback();
                 ioDepositDataDetail.rollback();
-                ioDepositApprovalInfo.rollback();
                 ioRequestHead.rollback();
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
@@ -1221,26 +617,22 @@
                 dgvMaster.CellEnter += DataGridView_CellEnter;
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
 
-                ioDepositData.close();
                 ioDepositDataDetail.close();
-                ioDepositApprovalInfo.close();
                 ioRequestHead.close();
 
-                ioDepositData = null;
                 ioDepositDataDetail = null;
-                ioDepositApprovalInfo = null;
                 ioRequestHead = null;
             }
         }
         #endregion
 
-        #region セルダブルクリックイベント
+        #region セルダブルクリック
         /// <summary>
-        /// セルダブルクリックイベント
+        /// セルダブルクリック
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void DataGridView_DoubleCellClick(object sender, DataGridViewCellEventArgs e)
+        private void  DataGridView_DoubleCellClick(object sender, DataGridViewCellEventArgs e)
         {
             dgvMaster.CellDoubleClick -= DataGridView_DoubleCellClick;
             dgvMaster.CellEnter -= DataGridView_CellEnter;
@@ -1252,19 +644,27 @@
                 {
                     return;
                 }
+                
+                // 入金入力画面の表示
+                if (e.ColumnIndex == (int)DispColumn.DepositAmountBill
+                    || e.ColumnIndex == (int)DispColumn.DepositAmountCash)
+                {
+                    if (CommonMotions.LoginUserData.DepartmentCode == 4 ||
+                        CommonMotions.LoginUserData.SecCode == 2 ||
+                        m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+                    {
+                        var cells = dgvMaster.Rows[e.RowIndex].Cells;
+                        var orderersDiv = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value);
+                        var orderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value);
+                        string reqDate = CommonMotions.cnvInt(cells[(int)DispColumn.RequestMonth].Value).ToString();
 
+                        EntryDeposit(orderersDiv, orderersCode, reqDate);
+                        return;
+                    }
+                }
+
                 // 承認セル以外は無視
-                if ((e.ColumnIndex == (int)DispColumn.PersonName) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_1) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_2) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_3) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_4) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_5) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_6) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_7) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_8) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_9) ||
-                    (e.ColumnIndex == (int)DispColumn.ApprovalName_10))
+                if (e.ColumnIndex == (int)DispColumn.PersonName)
                 {
                     // エラー表示解除
                     UnsetErrorDisp();
@@ -1271,121 +671,53 @@
 
                     var cells = dgvMaster.Rows[e.RowIndex].Cells;
                     // 自分以外のセルは編集不可
-                    if (CommonMotions.cnvInt(dgvMaster[e.ColumnIndex + 1, e.RowIndex].Value) != CommonMotions.LoginUserData.PersonCode)
+                    if (CommonMotions.cnvInt(dgvMaster[(int)DispColumn.ConfirmationPersonCode, e.RowIndex].Value) != CommonMotions.LoginUserData.PersonCode)
+                    {
                         return;
+                    }
 
                     var depositOrderer = FindDepositOrderer(e.RowIndex);
-                    var depositDetail = depositOrderer.FindDepositDetailByLineCount(CommonMotions.cnvInt(cells[(int)DispColumn.LineCount].Value));
+                    var depositDetail = depositOrderer.FindDepositDetailByRequestNo(CommonMotions.cnvInt(cells[(int)DispColumn.RequestNo].Value));
                     // 担当者承認
                     if (e.ColumnIndex == (int)DispColumn.PersonName)
                     {
-                        // 上位が承認済みの場合は編集不可
-                        if (!depositDetail.IsApprovedByApprover)
+                        // 担当者承認金額チェック
+                        if (CheckStaffApproval(e.RowIndex, depositDetail) == false)
                         {
-                            // 担当者承認金額チェック
-                            if (CheckStaffApproval(e.RowIndex, depositDetail) == false)
-                            {
-                                return;
-                            }
-
-                            // 未承認→承認の場合
-                            if (depositDetail.IsApprovedByStaff == false)
-                            {
-                                depositDetail.ApprovalDate = DateTime.Now.ToString("yyyy-MM-dd");
-                            }
-                            else
-                            {
-                                depositDetail.ApprovalDate = "";
-                            }
-
-                            depositDetail.Editted = true;
-                        }
-                    }
-                    else
-                    {
-                        if (depositDetail.DepositApprovals.Count == 0)
                             return;
-
-                        // 担当者承認されていない場合はエラー
-                        if (depositDetail.IsApprovedByStaff == false)
-                        {
-                            MessageBox.Show("担当者の承認が実施されていないため、承認できません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
                         }
 
-                        // 承認者に含まれるか確認
-                        var approvalIndex = depositDetail.DepositApprovals.FindIndex(a => a.ApprovalPerson == CommonMotions.LoginUserData.PersonCode);
-                        if (approvalIndex < 0)
-                            return;
-
-                        // 最終承認以外の場合
-                        if (approvalIndex != depositDetail.DepositApprovals.Count - 1)
+                        // 未承認→承認の場合
+                        if (CommonMotions.cnvInt(dgvMaster[(int)DispColumn.ConfirmationEndFlg, e.RowIndex].Value) != 1)
                         {
-                            // 下位の承認者が承認済みかつ上位の承認者が未承認
-                            var lower = true;
-                            var i = 0;
-                            var enableEdit = true;
-                            foreach (var a in depositDetail.DepositApprovals)
+                            if (MessageBox.Show("担当者確認を登録しますか？", "担当者確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                             {
-                                if (a.ApprovalPerson == CommonMotions.LoginUserData.PersonCode)
-                                {
-                                    lower = false;
-                                    approvalIndex = i;
-                                }
-                                else
-                                {
-                                    if (lower)
-                                    {
-                                        if (a.ApprovalDate == "")
-                                        {
-                                            enableEdit = false;
-                                            break;
-                                        }
-                                    }
-                                    else
-                                    {
-                                        if (a.ApprovalDate != "")
-                                        {
-                                            enableEdit = false;
-                                            break;
-                                        }
-                                    }
-                                }
-                                i++;
-                            }
-                            if (!enableEdit)
-                            {
-                                if (approvalIndex != 0 && depositDetail.DepositApprovals[approvalIndex - 1].ApprovalDate == "")
-                                {
-                                    MessageBox.Show("直前の承認が実施されていないため、承認できません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                                }
                                 return;
                             }
+
+                            depositDetail.ConfirmationDate = DateTime.Now.ToString("yyyy/MM/dd");
+                            depositDetail.ConfirmationEndFlg = 1;
+                            depositDetail.ConfirmationPersonCode = CommonMotions.LoginUserData.PersonCode;
+                            depositDetail.Editted = true;
+                            var headerIndex = DetectHeaderIndex(e.RowIndex);
+                            UpdateDepositOrdererRows(depositOrderer, headerIndex);
                         }
-                        var approval = depositDetail.DepositApprovals.ElementAt(approvalIndex);
-                        // 未承認 → 承認
-                        if (approval.ApprovalDate == "")
+                        else if (CommonMotions.cnvInt(dgvMaster[(int)DispColumn.ConfirmationEndFlg, e.RowIndex].Value) == 1)
                         {
-                            if (CalculateDifference(depositOrderer) != 0)
+                            if (MessageBox.Show("担当者確認を外しますか？", "担当者確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                             {
-                                // 差額の確認
-                                if (MessageBox.Show("入金金額と調整金額が一致しませんが承認してよろしいですか？。", "確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
-                                    return;
+                                return;
                             }
-                            approval.ApprovalDate = DateTime.Now.ToString("yyyy-MM-dd");
-                        }
-                        // 承認 → 未承認
-                        else
-                        {
-                            approval.ApprovalDate = "";
-                        }
-                        approval.Editted = true;
+                            depositDetail.ConfirmationDate = "";
+                            depositDetail.ConfirmationEndFlg = 0;
+                            depositDetail.ConfirmationPersonCode = 0;
+                            depositDetail.Editted = true;
+                            var headerIndex = DetectHeaderIndex(e.RowIndex);
+                            UpdateDepositOrdererRows(depositOrderer, headerIndex);
+                        }                     
                     }
-                    var headerIndex = DetectHeaderIndex(e.RowIndex);
-                    UpdateDepositOrdererRows(depositOrderer, headerIndex);
-                    isDirty = true;
                 }
-            }
+            }            
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
